Get document
curl --request GET \
--url https://staging.api.us.aptlydone.com/document/v1/documents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/document/v1/documents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/document/v1/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-12T09:12:23.874Z",
"message": "Success",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440100",
"tenantId": "550e8400-e29b-41d4-a716-446655440000",
"documentName": "Global Delegation of Authority Policy - ProxyComm Inc.",
"documentDescription": "Defines the framework for delegating authority across ProxyComm's global operations, outlining roles, responsibilities, and decision-making limits to ensure compliance, accountability, and operational consistency.",
"documentMetadata": "{ \"code\": \"GOV-DFA-2\", \"version\": \"2024.2\" }",
"fileId": "550e8400-e29b-41d4-a716-446655440001",
"documentTypeId": "550e8400-e29b-41d4-a716-446655440002",
"documentStatus": "DRAFT",
"documentSharingType": "RESTRICTED",
"documentIcon": "link-outlined",
"documentOwnerId": "550e8400-e29b-41d4-a716-446655440003",
"documentUploadType": "LINKED",
"documentUrl": "intranet.sharepoint.proxycomm.com/2024delegationofauthority.policy",
"uploadedOn": "2025-02-13T12:00:00Z",
"lastUpdatedBy": "550e8400-e29b-41d4-a716-446655440004",
"lastUpdatedOn": "2025-02-14T15:30:00Z",
"archivedOn": "2025-03-01T10:00:00Z",
"deletedOn": "2025-04-01T12:00:00Z",
"documentDisplayId": "10000",
"link": "/documents/view/eyJ0ZW5hbnRJZCI6IjU1MGU4NDAwLWUyOWItNDFkNC1hNzE2LTQ0NjY1NTQ0MDAwMCIsImRvY3VtZW50SWQiOiJjMDBjMGNkNy03ZmJjLTRmZTEtOWYxMy1lYzc5OTlmMjhjNDgifQ==",
"documentId": "550e8400-e29b-41d4-a716-446655440100",
"documentTypeName": "Policy",
"documentOwnerUsername": "John Doe",
"decisionsCount": 0,
"delegationsCount": 0,
"documentSharingGroups": [
{
"id": "550e8400-e29b-41d4-a716-446655440100",
"documentId": "550e8400-e29b-41d4-a716-446655440100",
"groupId": "550e8400-e29b-41d4-a716-446655440012",
"tenantGroupTypeId": "550e8400-e29b-41d4-a716-446655440013"
}
],
"documentSharingUsers": [
{
"id": "550e8400-e29b-41d4-a716-446655440100",
"documentId": "550e8400-e29b-41d4-a716-446655440100",
"userId": "550e8400-e29b-41d4-a716-446655440012"
}
],
"documentOversight": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"documentId": "550e8400-e29b-41d4-a716-446655440100",
"reviewStatus": "REVIEW_PENDING",
"approvalStatus": "APPROVAL_PENDING",
"reviewerUserProfileUrl": "http://test.jpg",
"responsibleUserProfileUrl": "http://test.jpg",
"approverUserProfileUrl": "http://test.jpg",
"documentOwnerProfileUrl": "http://test.jpg",
"responsiblePositionId": "550e8400-e29b-41d4-a716-446655440004",
"responsiblePositionName": "Sr. Corporate Counsel",
"responsibleUserId": "550e8400-e29b-41d4-a716-446655440002",
"responsibleUsername": "John Doe",
"reviewerUserId": "550e8400-e29b-41d4-a716-446655440003",
"reviewerUsername": "John Doe",
"reviewerPositionId": "550e8400-e29b-41d4-a716-446655440004",
"reviewerPositionName": "Sr. Corporate Counsel",
"approverUserId": "550e8400-e29b-41d4-a716-446655440005",
"approverUsername": "John Doe",
"approverPositionId": "550e8400-e29b-41d4-a716-446655440006",
"approverPositionName": "Sr. Corporate Counsel",
"reviewedOn": "2025-02-13T12:00:00Z",
"approvedOn": "2025-02-14T15:30:00Z"
},
"file": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "project_document.pdf",
"type": "application/pdf",
"link": "https://example.com/files/project_document.pdf"
},
"oversightStatuses": [
"REVIEW_PENDING",
"APPROVAL_PENDING"
],
"permissions": [
{
"relationship_key": "<string>",
"allowed": true
}
],
"isReviewerEnable": true,
"isApprovalEnable": true,
"isApprovalActionExist": true,
"isReviewerActionExist": true,
"isApprovalUser": true,
"isReviewerUser": true,
"isSettingApprovalActionEnabled": true,
"isSettingReviewerActionEnabled": true
}
}Documents
Get document
GET
/
v1
/
documents
/
{id}
Get document
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Document details retrieved successfully
Was this page helpful?
āI